Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv.basic
Class BasicCachedFile

    java.lang.Object
      org.encog.app.analyst.csv.basic.BasicFile
          org.encog.app.analyst.csv.basic.BasicCachedFile

All Implemented Interfaces:
  QuantTask

Direct Known Subclasses:
  NinjaFileConvert, ProcessIndicators

    public class BasicCachedFile

extends BasicFile

Forms the foundation of all of the cached files in Encog Quant.

Field Summary

Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile
`REPORT_INTERVAL`

Constructor Summary
`BasicCachedFile()`

Method Summary
`void` | `addColumn(BaseCachedColumn column)` Add a new column.
`void` | `analyze(File input, boolean headers, CSVFormat format)` Analyze the input file.
`String` | `getColumnData(String name, ReadCSV csv)` Get the data for a specific column.
`Map<String,BaseCachedColumn>` | `getColumnMapping()`
`List<BaseCachedColumn>` | `getColumns()`

Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile
`appendSeparator, getColumnCount, getInputFilename, getInputFormat, getInputHeadings, getOutputFormat, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, prepareOutputFile, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setOutputFormat, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicCachedFile

    public BasicCachedFile()

Method Detail

### addColumn

    public final void addColumn(BaseCachedColumn column)

  Add a new column.

  Parameters:
    `column` - The column to add.

### analyze

    public final void analyze(File input,
                              boolean headers,
                              CSVFormat format)

  Analyze the input file.

  Parameters:
    `input` - The input file.
    `headers` - True, if there are headers.
    `format` - The format of the CSV data.

### getColumnData

    public final String getColumnData(String name,
                                      ReadCSV csv)

  Get the data for a specific column.

  Parameters:
    `name` - The column to read.
    `csv` - The CSV file to read from.
  Returns:
    The column data.

### getColumnMapping

    public final Map<String,BaseCachedColumn> getColumnMapping()

  Returns:
    The column mappings.

### getColumns

    public final List<BaseCachedColumn> getColumns()

  Returns:
    The columns.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.